Description

Currently, our deamonizing works as follows:

- initialize configuration, logger and plugins

- create http/https rack servers

- daemonize the main process

- start rack servers in own threads (each writes own pid file into same file)

- wait five seconds

- override interrupt signal trap

- wait for both threads to finish

Problems:

- Rack writes main process pid twice (the main process should do this on its own)

- pid file is written AFTER the main process exited (this is causing irregular warnings with systemd "not readable (yet?) after start")

- we should get rid of the 5 seconds sleep (what is this needed for)?

- when logging is setup to STDOUT it does not work (we need to error out when STDOUT is set and provide a way to configure

foreman-proxy with syslog properly)

Related issues:

Related to Smart Proxy - Bug #11653: stdout warning about use of "SYSLOG" log... Closed 09/02/2015

Related to Smart Proxy - Bug #11654: Error logged: Unable to overwrite interr... Closed 09/02/2015

Related to Smart Proxy - Feature #676: Syslog support Resolved 02/20/2011

Related to Smart Proxy - Refactor #12402: Configure proxy with syslog by default New 11/05/2015

Related to Smart Proxy - Bug #2174: Wrong log settings should have the proxy ... Resolved 02/03/2013

Associated revisions

Revision 335a1610 - 08/28/2015 07:43 AM - Lukas Zapletal 

Fixes #11323 - fixed PID writing, interrupt trap and daemon logging

History

#1 - 08/11/2015 09:44 AM - Lukas Zapletal

- Subject changed from Refactor proxy daemonizing code to Refactor PID writing, interrupt trap and daemon logging

#2 - 08/11/2015 09:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/311 added

- Pull request deleted ()

#3 - 08/28/2015 07:45 AM - Dominic Cleal

- Category set to Core

05/09/2024 1/2



- translation missing: en.field_release set to 63

#4 - 08/28/2015 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 335a1610fae8cd74720e2d9841d904deb8ff1881.

#5 - 09/02/2015 06:42 AM - Dominic Cleal

- Related to Bug #11653: stdout warning about use of "SYSLOG" logger on every startup added

#6 - 09/02/2015 06:47 AM - Dominic Cleal

- Related to Bug #11654: Error logged: Unable to overwrite interrupt trap: undefined method `version' for nil:NilClass added

#7 - 11/05/2015 09:07 AM - Lukas Zapletal

- Related to Feature #676: Syslog support added

#8 - 11/05/2015 09:14 AM - Lukas Zapletal

- Related to Refactor #12402: Configure proxy with syslog by default added

#9 - 05/11/2016 10:37 AM - Anonymous

- Related to Bug #2174: Wrong log settings should have the proxy terminate on startup added
